#include <IceGrid/IceGrid.h>
#include <Ice/Ice.h>
#include <IceUtil/Mutex.h>
#include <dataStreamTransferIC.h>
#include <string.h>

using namespace std;
using namespace dataStreamTransfer;

void 
dataStreamClient::setDataString(int argc, char* argv[],string value) {
    Ice::CommunicatorPtr ic;
    try {
        ic = Ice::initialize(argc, argv);
        Ice::ObjectPrx base = ic->stringToProxy(
                                "SimpleLogFile@FileStoreAdapter");
        FileStorePrx stream = FileStorePrx::checkedCast(base);
        if (!stream)
            throw "Invalid proxy";
	
        //stream->printString("Dies ist nur ein Beispieltext!");
	
	stream->setDataString(value);
	
	//string result = stream->getDataString();
	//cout << result << endl;
    } catch (const Ice::Exception& ex) {
        cerr << ex << endl;
    } catch (const char* msg) {
        cerr << msg << endl;
    }
    if (ic)
        ic->destroy();
}
